<template>
	<div class="row d-flex align-items-center">
		<div class="col-6">
			<h3>
				Сотрудники
			</h3>
		</div>
		<div class="col-6 d-flex justify-content-end">
			<a-button-group>
		      <a-button type="primary" icon="user-add" @click="$router.push({ name: 'newUserPage' })">Новый пользователь</a-button>
		      <a-button type="primary" icon="solution" @click="$router.push({ name: 'newDepartmentPage' })">Новый отдел</a-button>
		    </a-button-group>
		</div>
		<div class="col-12 mt-3 mb-3" v-for="dep in departments" :key="dep.id">
			<a-card :title="dep.name">
			    <a href="#" @click="$router.push({ name: 'editDepartmentPage', params: { id: dep.id }})" slot="extra">Изменить</a>
			    
			    <a-list :dataSource="dep.users" class="demo-loadmore-list" itemLayout="horizontal">
				    <a-list-item slot="renderItem" slot-scope="item, index">
				      <a slot="actions" @click="$router.push({ name: 'editUserPage', params: { id: item.id }})">Изменить</a>
				      <!-- <a slot="actions" @click="$router.push({ name: 'updateAvatarPage', params: { id: item.id }})">Загрузить фото</a> -->
				      <a-list-item-meta
				        :description="item.position"
				      >
				        <a slot="title" href="#" @click="$router.push({ name: 'userPage', params: { id: item.id }})">{{item.full_name}}</a>
				        <a-avatar slot="avatar" :src="$store.state.api.root+item.avatar" />
				      </a-list-item-meta>
				      <div>
				      	<a :href="'mailto:'+item.work_email">{{ item.work_email }}</a>
				      </div>
				    </a-list-item>
				</a-list>

			</a-card>
		</div>
	</div>
</template>

<script type="text/javascript">
	export default {
		data () {
			return {
				departments: ''
			}
		},
		created () {
			this.$http.get(this.$store.state.api.url+'getAllUsers')
			.then(this.loadDataSuccess,this.loadDataError);
		},
		methods: {
			loadDataSuccess (res) {
				this.departments = res.body;
			},
			loadDataError (err) {
				console.log(err);
			}
		}
	} 
</script>

<style type="text/css">
	.user-row {
		border-bottom: 1px solid rgba(0,0,0,.1);
	}
</style>